"Fossies" - the Fresh Open Source Software Archive  

Source code changes of the file "Makefile.in" between
gawk-5.0.1.tar.xz and gawk-5.1.0.tar.xz

About: GNU awk - pattern scanning and processing language.

Makefile.in  (gawk-5.0.1.tar.xz):Makefile.in  (gawk-5.1.0.tar.xz)
# Makefile.in generated by automake 1.16.1 from Makefile.am. # Makefile.in generated by automake 1.16.2 from Makefile.am.
# @configure_input@ # @configure_input@
# Copyright (C) 1994-2018 Free Software Foundation, Inc. # Copyright (C) 1994-2020 Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation # This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it, # gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved. # with or without modifications, as long as this notice is preserved.
# This program is distributed in the hope that it will be useful, # This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE. # PARTICULAR PURPOSE.
@SET_MAKE@ @SET_MAKE@
# #
# Makefile.am --- automake input file for gawk # Makefile.am --- automake input file for gawk
# #
# Copyright (C) 2000-2019 the Free Software Foundation, Inc. # Copyright (C) 2000-2020 the Free Software Foundation, Inc.
# #
# This file is part of GAWK, the GNU implementation of the # This file is part of GAWK, the GNU implementation of the
# AWK Programming Language. # AWK Programming Language.
# #
# GAWK is free software; you can redistribute it and/or modify # GAWK is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by # it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 3 of the License, or # the Free Software Foundation; either version 3 of the License, or
# (at your option) any later version. # (at your option) any later version.
# #
# GAWK is distributed in the hope that it will be useful, # GAWK is distributed in the hope that it will be useful,
skipping to change at line 130 skipping to change at line 130
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
am__aclocal_m4_deps = $(top_srcdir)/m4/arch.m4 \ am__aclocal_m4_deps = $(top_srcdir)/m4/arch.m4 \
$(top_srcdir)/m4/codeset.m4 $(top_srcdir)/m4/gettext.m4 \ $(top_srcdir)/m4/codeset.m4 $(top_srcdir)/m4/gettext.m4 \
$(top_srcdir)/m4/iconv.m4 $(top_srcdir)/m4/intlmacosx.m4 \ $(top_srcdir)/m4/iconv.m4 $(top_srcdir)/m4/intlmacosx.m4 \
$(top_srcdir)/m4/lcmessage.m4 $(top_srcdir)/m4/lib-ld.m4 \ $(top_srcdir)/m4/lcmessage.m4 $(top_srcdir)/m4/lib-ld.m4 \
$(top_srcdir)/m4/lib-link.m4 $(top_srcdir)/m4/lib-prefix.m4 \ $(top_srcdir)/m4/lib-link.m4 $(top_srcdir)/m4/lib-prefix.m4 \
$(top_srcdir)/m4/libsigsegv.m4 $(top_srcdir)/m4/longlong.m4 \ $(top_srcdir)/m4/libsigsegv.m4 $(top_srcdir)/m4/longlong.m4 \
$(top_srcdir)/m4/mpfr.m4 $(top_srcdir)/m4/nls.m4 \ $(top_srcdir)/m4/mpfr.m4 $(top_srcdir)/m4/nls.m4 \
$(top_srcdir)/m4/noreturn.m4 $(top_srcdir)/m4/po.m4 \ $(top_srcdir)/m4/noreturn.m4 $(top_srcdir)/m4/po.m4 \
$(top_srcdir)/m4/progtest.m4 $(top_srcdir)/m4/readline.m4 \ $(top_srcdir)/m4/progtest.m4 $(top_srcdir)/m4/readline.m4 \
$(top_srcdir)/m4/socket.m4 $(top_srcdir)/m4/ulonglong.m4 \ $(top_srcdir)/m4/socket.m4 \
$(top_srcdir)/configure.ac $(top_srcdir)/m4/triplet-transformation.m4 \
$(top_srcdir)/m4/ulonglong.m4 $(top_srcdir)/configure.ac
am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \ am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
$(ACLOCAL_M4) $(ACLOCAL_M4)
DIST_COMMON = $(srcdir)/Makefile.am $(top_srcdir)/configure \ DIST_COMMON = $(srcdir)/Makefile.am $(top_srcdir)/configure \
$(am__configure_deps) $(include_HEADERS) $(am__DIST_COMMON) $(am__configure_deps) $(include_HEADERS) $(am__DIST_COMMON)
am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \ am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
configure.lineno config.status.lineno configure.lineno config.status.lineno
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_HEADER = config.h CONFIG_HEADER = config.h
CONFIG_CLEAN_FILES = CONFIG_CLEAN_FILES =
CONFIG_CLEAN_VPATH_FILES = CONFIG_CLEAN_VPATH_FILES =
skipping to change at line 257 skipping to change at line 258
} }
HEADERS = $(include_HEADERS) HEADERS = $(include_HEADERS)
RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \ RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
distclean-recursive maintainer-clean-recursive distclean-recursive maintainer-clean-recursive
am__recursive_targets = \ am__recursive_targets = \
$(RECURSIVE_TARGETS) \ $(RECURSIVE_TARGETS) \
$(RECURSIVE_CLEAN_TARGETS) \ $(RECURSIVE_CLEAN_TARGETS) \
$(am__extra_recursive_targets) $(am__extra_recursive_targets)
AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \ AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
cscope distdir distdir-am dist dist-all distcheck cscope distdir distdir-am dist dist-all distcheck
am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) \ am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP) \
$(LISP)configh.in configh.in
# Read a list of newline-separated strings from the standard input, # Read a list of newline-separated strings from the standard input,
# and print each of them once, without duplicates. Input order is # and print each of them once, without duplicates. Input order is
# *not* preserved. # *not* preserved.
am__uniquify_input = $(AWK) '\ am__uniquify_input = $(AWK) '\
BEGIN { nonempty = 0; } \ BEGIN { nonempty = 0; } \
{ items[$$0] = 1; nonempty = 1; } \ { items[$$0] = 1; nonempty = 1; } \
END { if (nonempty) { for (i in items) print i; }; } \ END { if (nonempty) { for (i in items) print i; }; } \
' '
# Make sure the list of sources is unique. This is necessary because, # Make sure the list of sources is unique. This is necessary because,
# e.g., the same source file might be shared among _SOURCES variables # e.g., the same source file might be shared among _SOURCES variables
skipping to change at line 448 skipping to change at line 449
localedir = @localedir@ localedir = @localedir@
localstatedir = @localstatedir@ localstatedir = @localstatedir@
mandir = @mandir@ mandir = @mandir@
mkdir_p = @mkdir_p@ mkdir_p = @mkdir_p@
oldincludedir = @oldincludedir@ oldincludedir = @oldincludedir@
pdfdir = @pdfdir@ pdfdir = @pdfdir@
pkgextensiondir = @pkgextensiondir@ pkgextensiondir = @pkgextensiondir@
prefix = @prefix@ prefix = @prefix@
program_transform_name = @program_transform_name@ program_transform_name = @program_transform_name@
psdir = @psdir@ psdir = @psdir@
runstatedir = @runstatedir@
sbindir = @sbindir@ sbindir = @sbindir@
sharedstatedir = @sharedstatedir@ sharedstatedir = @sharedstatedir@
srcdir = @srcdir@ srcdir = @srcdir@
subdirs = @subdirs@ subdirs = @subdirs@
sysconfdir = @sysconfdir@ sysconfdir = @sysconfdir@
target_alias = @target_alias@ target_alias = @target_alias@
top_build_prefix = @top_build_prefix@ top_build_prefix = @top_build_prefix@
top_builddir = @top_builddir@ top_builddir = @top_builddir@
top_srcdir = @top_srcdir@ top_srcdir = @top_srcdir@
# This variable insures that aclocal runs # This variable insures that aclocal runs
# correctly after changing configure.ac # correctly after changing configure.ac
ACLOCAL_AMFLAGS = -I m4 ACLOCAL_AMFLAGS = -I m4
AM_CFLAGS = @CFLAGS@
# This insures that make flags get passed down to child makes. AM_LDFLAGS = @LDFLAGS@
AM_MAKEFLAGS = 'CFLAGS=$(CFLAGS)' 'LDFLAGS=$(LDFLAGS)'
# Stuff to include in the dist that doesn't need it's own # Stuff to include in the dist that doesn't need it's own
# Makefile.am files # Makefile.am files
EXTRA_DIST = \ EXTRA_DIST = \
ChangeLog.0 \ ChangeLog.0 \
ChangeLog.1 \ ChangeLog.1 \
COPYING \ COPYING \
INSTALL \ INSTALL \
NEWS \ NEWS \
NEWS.0 \ NEWS.0 \
skipping to change at line 501 skipping to change at line 502
# #
# Build in support first, since we need the support library. # Build in support first, since we need the support library.
# #
# Build explicitly in "." in order to build gawk first, so # Build explicitly in "." in order to build gawk first, so
# that `make check' without a prior `make' works. # that `make check' without a prior `make' works.
# Build in awklib after in doc, since we want to extract # Build in awklib after in doc, since we want to extract
# sample files if doc/gawk.texi changed. # sample files if doc/gawk.texi changed.
SUBDIRS = support . $(am__append_1) extras doc awklib po test SUBDIRS = support . $(am__append_1) extras doc awklib po test
include_HEADERS = gawkapi.h include_HEADERS = gawkapi.h
BUILT_SOURCES = $(srcdir)/pc/Makefile.tst
# sources for both gawk and dgawk # sources for both gawk and dgawk
base_sources = \ base_sources = \
array.c \ array.c \
awk.h \ awk.h \
awkgram.y \ awkgram.y \
builtin.c \ builtin.c \
cint_array.c \ cint_array.c \
cmd.h \ cmd.h \
command.y \ command.y \
skipping to change at line 560 skipping to change at line 562
DEFLIBPATH = "\"$(pkgextensiondir)\"" DEFLIBPATH = "\"$(pkgextensiondir)\""
# Get rid of core files when cleaning # Get rid of core files when cleaning
CLEANFILES = core core.* CLEANFILES = core core.*
# We want hard links for install-exec-hook, below # We want hard links for install-exec-hook, below
LN = ln LN = ln
# For some make's, e.g. OpenBSD, that don't define this # For some make's, e.g. OpenBSD, that don't define this
RM = rm -f RM = rm -f
all: config.h all: $(BUILT_SOURCES) config.h
$(MAKE) $(AM_MAKEFLAGS) all-recursive $(MAKE) $(AM_MAKEFLAGS) all-recursive
.SUFFIXES: .SUFFIXES:
.SUFFIXES: .c .o .obj .y .SUFFIXES: .c .o .obj .y
am--refresh: Makefile am--refresh: Makefile
@: @:
$(srcdir)/Makefile.in: $(srcdir)/Makefile.am $(am__configure_deps) $(srcdir)/Makefile.in: $(srcdir)/Makefile.am $(am__configure_deps)
@for dep in $?; do \ @for dep in $?; do \
case '$(am__configure_deps)' in \ case '$(am__configure_deps)' in \
*$$dep*) \ *$$dep*) \
skipping to change at line 925 skipping to change at line 927
dist-bzip2: distdir dist-bzip2: distdir
tardir=$(distdir) && $(am__tar) | BZIP2=$${BZIP2--9} bzip2 -c >$(distdir) .tar.bz2 tardir=$(distdir) && $(am__tar) | BZIP2=$${BZIP2--9} bzip2 -c >$(distdir) .tar.bz2
$(am__post_remove_distdir) $(am__post_remove_distdir)
dist-lzip: distdir dist-lzip: distdir
tardir=$(distdir) && $(am__tar) | lzip -c $${LZIP_OPT--9} >$(distdir).tar .lz tardir=$(distdir) && $(am__tar) | lzip -c $${LZIP_OPT--9} >$(distdir).tar .lz
$(am__post_remove_distdir) $(am__post_remove_distdir)
dist-xz: distdir dist-xz: distdir
tardir=$(distdir) && $(am__tar) | XZ_OPT=$${XZ_OPT--e} xz -c >$(distdir). tar.xz tardir=$(distdir) && $(am__tar) | XZ_OPT=$${XZ_OPT--e} xz -c >$(distdir). tar.xz
$(am__post_remove_distdir) $(am__post_remove_distdir)
dist-zstd: distdir
tardir=$(distdir) && $(am__tar) | zstd -c $${ZSTD_CLEVEL-$${ZSTD_OPT--19}
} >$(distdir).tar.zst
$(am__post_remove_distdir)
dist-tarZ: distdir dist-tarZ: distdir
@echo WARNING: "Support for distribution archives compressed with" \ @echo WARNING: "Support for distribution archives compressed with" \
"legacy program 'compress' is deprecated." >&2 "legacy program 'compress' is deprecated." >&2
@echo WARNING: "It will be removed altogether in Automake 2.0" >&2 @echo WARNING: "It will be removed altogether in Automake 2.0" >&2
tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
$(am__post_remove_distdir) $(am__post_remove_distdir)
dist-shar: distdir dist-shar: distdir
@echo WARNING: "Support for shar distribution archives is" \ @echo WARNING: "Support for shar distribution archives is" \
"deprecated." >&2 "deprecated." >&2
skipping to change at line 967 skipping to change at line 973
*.tar.lz*) \ *.tar.lz*) \
lzip -dc $(distdir).tar.lz | $(am__untar) ;;\ lzip -dc $(distdir).tar.lz | $(am__untar) ;;\
*.tar.xz*) \ *.tar.xz*) \
xz -dc $(distdir).tar.xz | $(am__untar) ;;\ xz -dc $(distdir).tar.xz | $(am__untar) ;;\
*.tar.Z*) \ *.tar.Z*) \
uncompress -c $(distdir).tar.Z | $(am__untar) ;;\ uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
*.shar.gz*) \ *.shar.gz*) \
eval GZIP= gzip $(GZIP_ENV) -dc $(distdir).shar.gz | unshar ;;\ eval GZIP= gzip $(GZIP_ENV) -dc $(distdir).shar.gz | unshar ;;\
*.zip*) \ *.zip*) \
unzip $(distdir).zip ;;\ unzip $(distdir).zip ;;\
*.tar.zst*) \
zstd -dc $(distdir).tar.zst | $(am__untar) ;;\
esac esac
chmod -R a-w $(distdir) chmod -R a-w $(distdir)
chmod u+w $(distdir) chmod u+w $(distdir)
mkdir $(distdir)/_build $(distdir)/_build/sub $(distdir)/_inst mkdir $(distdir)/_build $(distdir)/_build/sub $(distdir)/_inst
chmod a-w $(distdir) chmod a-w $(distdir)
test -d $(distdir)/_build || exit 0; \ test -d $(distdir)/_build || exit 0; \
dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[ \\/],/,'` \ dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[ \\/],/,'` \
&& dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \ && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
&& am__cwd=`pwd` \ && am__cwd=`pwd` \
&& $(am__cd) $(distdir)/_build/sub \ && $(am__cd) $(distdir)/_build/sub \
skipping to change at line 1035 skipping to change at line 1043
@if test '$(srcdir)' = . ; then \ @if test '$(srcdir)' = . ; then \
echo "ERROR: distcleancheck can only run from a VPATH build" ; \ echo "ERROR: distcleancheck can only run from a VPATH build" ; \
exit 1 ; \ exit 1 ; \
fi fi
@test `$(distcleancheck_listfiles) | wc -l` -eq 0 \ @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
|| { echo "ERROR: files left in build directory after distclean:" ; \ || { echo "ERROR: files left in build directory after distclean:" ; \
$(distcleancheck_listfiles) ; \ $(distcleancheck_listfiles) ; \
exit 1; } >&2 exit 1; } >&2
check-am: all-am check-am: all-am
$(MAKE) $(AM_MAKEFLAGS) check-local $(MAKE) $(AM_MAKEFLAGS) check-local
check: check-recursive check: $(BUILT_SOURCES)
$(MAKE) $(AM_MAKEFLAGS) check-recursive
all-am: Makefile $(PROGRAMS) $(HEADERS) config.h all-am: Makefile $(PROGRAMS) $(HEADERS) config.h
installdirs: installdirs-recursive installdirs: installdirs-recursive
installdirs-am: installdirs-am:
for dir in "$(DESTDIR)$(bindir)" "$(DESTDIR)$(includedir)"; do \ for dir in "$(DESTDIR)$(bindir)" "$(DESTDIR)$(includedir)"; do \
test -z "$$dir" || $(MKDIR_P) "$$dir"; \ test -z "$$dir" || $(MKDIR_P) "$$dir"; \
done done
install: install-recursive install: $(BUILT_SOURCES)
$(MAKE) $(AM_MAKEFLAGS) install-recursive
install-exec: install-exec-recursive install-exec: install-exec-recursive
install-data: install-data-recursive install-data: install-data-recursive
uninstall: uninstall-recursive uninstall: uninstall-recursive
install-am: all-am install-am: all-am
@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
installcheck: installcheck-recursive installcheck: installcheck-recursive
install-strip: install-strip:
if test -z '$(STRIP)'; then \ if test -z '$(STRIP)'; then \
skipping to change at line 1075 skipping to change at line 1085
distclean-generic: distclean-generic:
-test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES) -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
-test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $ (CONFIG_CLEAN_VPATH_FILES) -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $ (CONFIG_CLEAN_VPATH_FILES)
maintainer-clean-generic: maintainer-clean-generic:
@echo "This command is intended for maintainers to use" @echo "This command is intended for maintainers to use"
@echo "it deletes files that may require special tools to rebuild." @echo "it deletes files that may require special tools to rebuild."
-rm -f awkgram.c -rm -f awkgram.c
-rm -f command.c -rm -f command.c
-test -z "$(BUILT_SOURCES)" || rm -f $(BUILT_SOURCES)
clean: clean-recursive clean: clean-recursive
clean-am: clean-binPROGRAMS clean-generic mostlyclean-am clean-am: clean-binPROGRAMS clean-generic mostlyclean-am
distclean: distclean-recursive distclean: distclean-recursive
-rm -f $(am__CONFIG_DISTCLEAN_FILES) -rm -f $(am__CONFIG_DISTCLEAN_FILES)
-rm -f ./$(DEPDIR)/array.Po -rm -f ./$(DEPDIR)/array.Po
-rm -f ./$(DEPDIR)/awkgram.Po -rm -f ./$(DEPDIR)/awkgram.Po
-rm -f ./$(DEPDIR)/builtin.Po -rm -f ./$(DEPDIR)/builtin.Po
-rm -f ./$(DEPDIR)/cint_array.Po -rm -f ./$(DEPDIR)/cint_array.Po
skipping to change at line 1194 skipping to change at line 1205
pdf: pdf-recursive pdf: pdf-recursive
pdf-am: pdf-am:
ps: ps-recursive ps: ps-recursive
ps-am: ps-am:
uninstall-am: uninstall-binPROGRAMS uninstall-includeHEADERS uninstall-am: uninstall-binPROGRAMS uninstall-includeHEADERS
.MAKE: $(am__recursive_targets) all check-am install-am \ .MAKE: $(am__recursive_targets) all check check-am install install-am \
install-exec-am install-strip install-exec-am install-strip
.PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am \ .PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am \
am--depfiles am--refresh check check-am check-local clean \ am--depfiles am--refresh check check-am check-local clean \
clean-binPROGRAMS clean-cscope clean-generic cscope \ clean-binPROGRAMS clean-cscope clean-generic cscope \
cscopelist-am ctags ctags-am dist dist-all dist-bzip2 \ cscopelist-am ctags ctags-am dist dist-all dist-bzip2 \
dist-gzip dist-hook dist-lzip dist-shar dist-tarZ dist-xz \ dist-gzip dist-hook dist-lzip dist-shar dist-tarZ dist-xz \
dist-zip distcheck distclean distclean-compile \ dist-zip dist-zstd distcheck distclean distclean-compile \
distclean-generic distclean-hdr distclean-local distclean-tags \ distclean-generic distclean-hdr distclean-local distclean-tags \
distcleancheck distdir distuninstallcheck dvi dvi-am html \ distcleancheck distdir distuninstallcheck dvi dvi-am html \
html-am info info-am install install-am install-binPROGRAMS \ html-am info info-am install install-am install-binPROGRAMS \
install-data install-data-am install-dvi install-dvi-am \ install-data install-data-am install-dvi install-dvi-am \
install-exec install-exec-am install-exec-hook install-html \ install-exec install-exec-am install-exec-hook install-html \
install-html-am install-includeHEADERS install-info \ install-html-am install-includeHEADERS install-info \
install-info-am install-man install-pdf install-pdf-am \ install-info-am install-man install-pdf install-pdf-am \
install-ps install-ps-am install-strip installcheck \ install-ps install-ps-am install-strip installcheck \
installcheck-am installdirs installdirs-am maintainer-clean \ installcheck-am installdirs installdirs-am maintainer-clean \
maintainer-clean-generic mostlyclean mostlyclean-compile \ maintainer-clean-generic mostlyclean mostlyclean-compile \
skipping to change at line 1246 skipping to change at line 1257
name=`echo gawk | sed '$(transform)'` ; \ name=`echo gawk | sed '$(transform)'` ; \
if [ -f awk$(EXEEXT) ] && cmp awk$(EXEEXT) $${name}$(EXEEXT) > /dev/null; then rm -f awk$(EXEEXT); fi ; \ if [ -f awk$(EXEEXT) ] && cmp awk$(EXEEXT) $${name}$(EXEEXT) > /dev/null; then rm -f awk$(EXEEXT); fi ; \
rm -f gawk-$(VERSION)$(EXEEXT); exit 0) rm -f gawk-$(VERSION)$(EXEEXT); exit 0)
uninstall-recursive: uninstall-links uninstall-recursive: uninstall-links
# force there to be a gawk executable before running tests # force there to be a gawk executable before running tests
check-local: gawk$(EXEEXT) check-local: gawk$(EXEEXT)
# A little extra clean up when making distributions. # A little extra clean up when making distributions.
# And additional set up for the pc directory. dist-hook:
dist-hook: pc/Makefile.tst
cd "$(distdir)"/extension ; rm -f *.o *.so cd "$(distdir)"/extension ; rm -f *.o *.so
cd "$(srcdir)"/pc ; \ cd "$(srcdir)"/pc ; \
chmod u+w config.h ; \ chmod u+w config.h ; \
sed -n -f configpk.sed < ../configure.ac > /tmp/tmp.sed ; \ sed -n -f configpk.sed < ../configure.ac > /tmp/tmp.sed ; \
sed -f config.sed < ../configh.in > /tmp/config.tmp ; \ sed -f config.sed < ../configh.in > /tmp/config.tmp ; \
sed -f /tmp/tmp.sed < /tmp/config.tmp > config.h ; \ sed -f /tmp/tmp.sed < /tmp/config.tmp > config.h ; \
$(RM) /tmp/tmp.sed /tmp/config.tmp $(RM) /tmp/tmp.sed /tmp/config.tmp
pwd pwd
chmod u+w "$(distdir)"/pc/config.h chmod u+w "$(distdir)"/pc/config.h
cp "$(srcdir)"/pc/config.h "$(distdir)"/pc/config.h cp "$(srcdir)"/pc/config.h "$(distdir)"/pc/config.h
# Special rules for individual files # Special rules for individual files
awkgram.c: awkgram.y $(srcdir)/awkgram.c: awkgram.y
$(YACC) -o $@ $(AM_YFLAGS) $(YFLAGS) $< $(YACC) -o $@ $(AM_YFLAGS) $(YFLAGS) $<
sed 's/parse error/syntax error/g' < $@ > $@.tmp && mv $@.tmp $@ sed 's/parse error/syntax error/g' < $@ > $@.tmp && mv $@.tmp $@
command.c: command.y $(srcdir)/command.c: command.y
$(YACC) -o $@ -p zz $< $(YACC) -o $@ -p zz $<
sed 's/parse error/syntax error/g' < $@ > $@.tmp && mv $@.tmp $@ sed 's/parse error/syntax error/g' < $@ > $@.tmp && mv $@.tmp $@
pc/Makefile.tst: test/Makefile.in $(srcdir)/pc/Makefile.tst: test/Makefile.in pc/Makefile.tst.prologue pc/GenMakef
test -d pc || mkdir pc ileTst.awk
cat "$(top_srcdir)"/pc/Makefile.tst.prologue > pc/Makefile.tst $(AM_V_GEN)$(MKDIR_P) "$(srcdir)"/pc && \
awk -f "$(top_srcdir)"/pc/GenMakefileTst.awk "$(top_srcdir)"/test/Makefil cat "$(srcdir)"/pc/Makefile.tst.prologue > "$(srcdir)"/pc/Makefile.tst &&
e.in >> pc/Makefile.tst \
$(AWK) -f "$(srcdir)"/pc/GenMakefileTst.awk "$(srcdir)"/test/Makefile.in
>> "$(srcdir)"/pc/Makefile.tst
# This is for my development & testing. # This is for my development & testing.
efence: gawk efence: gawk
$(CC) $(LDFLAGS) -o gawk $$(ls *.o | grep -v '_p.o$$') $(LDADD) $(LIBS) - lefence $(CC) $(AM_LDFLAGS) -o gawk $$(ls *.o | grep -v '_p.o$$') $(LDADD) $(LIBS ) -lefence
diffout valgrind-scan: diffout valgrind-scan zos-diffout:
@cd test && $(MAKE) $(AM_MAKEFLAGS) $@ @cd test && $(MAKE) $(AM_MAKEFLAGS) $@
valgrind: valgrind:
cd test; rm -f log.[0-9]*; \ cd test; rm -f log.[0-9]*; \
make check VALGRIND="valgrind --leak-check=full --log-file=log.%p"; \ make check VALGRIND="valgrind --leak-check=full --log-file=log.%p"; \
make valgrind-scan make valgrind-scan
valgrind-noleak: valgrind-noleak:
cd test; rm -f log.[0-9]*; \ cd test; rm -f log.[0-9]*; \
make check VALGRIND="valgrind --leak-check=no --log-file=log.%p"; \ make check VALGRIND="valgrind --leak-check=no --log-file=log.%p"; \
 End of changes. 22 change blocks. 
26 lines changed or deleted 39 lines changed or added

Home  |  About  |  Features  |  All  |  Newest  |  Dox  |  Diffs  |  RSS Feeds  |  Screenshots  |  Comments  |  Imprint  |  Privacy  |  HTTP(S)